{% extends 'base.html' %}

{% block title %} Login {% endblock %}

{%block content %}

<div class="container">
	<div class="row">
		<div class="col-6 offset-3">
			<h1 class="text-center my-3">Login</h1>
			{% if error == True %}
				<p class="text-danger">Invalid user credentials. Please check your username and password</p>
			{% endif %}

			<form action="{% url 'todolist:login' %}" method="post">
				{% csrf_token %}

				<div class="mb-3">
					 <label for="username" class="form-label">Username:</label>
					 <input type="text" class="form-control" id="username" name="username" value="{{username}}" maxlength="20" required>
				</div>

				<div class="mb-3">
					 <label for="password" class="form-label">Password:</label>
					 <input type="password" class="form-control" id="password" name="password" value="{{password}}" maxlength="20" required>
				</div>

				<div class="text-center">
					 <input type="submit" class="btn btn-success" value="Login">
				</div>

			</form>
		</div>
	</div>
</div>

{% if is_user_authenticated == False %}
	<h1>Something Went Wrong</h1>
	<p>Please contact your administrator or reset your password</p>
	<a href="{% url 'todolist:index' %}">Back to index page</a>
{% endif %}

{% endblock %}